<template>
        <b-navbar toggleable="md" sticky>
            <b-container>
                <b-navbar-toggle target="nav_collapse"></b-navbar-toggle>
                <b-navbar-brand href="#">S-Build</b-navbar-brand>
                <b-collapse is-nav id="nav_collapse">
                    <!-- Right aligned nav items -->
                    <b-navbar-nav class="ml-auto">
                        <b-nav-item href="#about">Info</b-nav-item>
                        <b-nav-item href="#aanbod">Huidige Aanbod</b-nav-item>
                        <b-nav-item href="#projects">Vorige Projecten</b-nav-item>
                        <b-nav-item href="#team">Team</b-nav-item>
                        <b-nav-item href="#contact">Contact</b-nav-item>
                    </b-navbar-nav>
                </b-collapse>
            </b-container>
        </b-navbar>
</template>

<style lang="scss" scoped>
.navbar {
    text-transform: uppercase;
    background: none;
    border: none;
    z-index: 1;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
}
.headroom {
    nav {
        transition: height 0.5s linear;
    }
}
.headroom--top {
    nav.navbar {
        height: 100px;
    }
    .navbar-brand {
        color: white;
        letter-spacing: 4px;
        font-size: 2em;
        margin: 0.9em 0;
        float: left;
        line-height: 100px;
    }
    .nav-link {
        color: white !important;
        line-height: 100px;
    }
}
.headroom--not-top{
    nav.navbar {
        background-color: white;
        border-bottom: 1px solid #eee;
        height: 70px;
    }
    .navbar-brand {
        font-size: 1.2em;
        margin: 0.6em 0;
        line-height: 40px;
        color: black;
    }
    .nav-link {
        color: rgba(0, 0, 0, 0.5) !important;
        transition: all 0.3s;
    }
}
</style>

